SmartExecutorPluginQuery (smart-executor-client 1.2.0-SNAPSHOT API)
Date: 2016-02-02

org.gcube.vremanagement.executor.client.plugins.query

## Class SmartExecutorPluginQuery

- java.lang.Object
- - org.gcube.vremanagement.executor.client.plugins.query.SmartExecutorPluginQuery

- All Implemented Interfaces:
    org.gcube.common.clients.queries.Query<EndpointReference>

      public class SmartExecutorPluginQuery
      extends Object
      implements org.gcube.common.clients.queries.Query<EndpointReference>

  Author:
    Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `classFormat`
    `static String` | `containsFormat`
    `static String` | `nameFormat`
    `static String` | `statusFormat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartExecutorPluginQuery(org.gcube.common.clients.Plugin<?,?> plugin)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConditions(String pluginName, Tuple<String,String>... tuples)`
    `List<String>` | `discoverEndpoints(EndpointDiscoveryFilter endpointDiscoveryFilter)`
    `List<EndpointReference>` | `fire()`
    `void` | `setEndpointDiscoveryFilter(EndpointDiscoveryFilter endpointDiscoveryFilter)`
    `void` | `setServiceEndpointQueryFilter(ServiceEndpointQueryFilter serviceEndpointQueryFilter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gcube.common.clients.queries.Query

      `equals, hashCode, toString`

- - ### Field Detail

    - #### classFormat

          public static String classFormat

    - #### nameFormat

          public static String nameFormat

    - #### statusFormat

          public static String statusFormat

    - #### containsFormat

          public static String containsFormat

  - ### Constructor Detail

    - #### SmartExecutorPluginQuery

          public SmartExecutorPluginQuery(org.gcube.common.clients.Plugin<?,?> plugin)

  - ### Method Detail

    - #### addConditions

          public void addConditions(String pluginName,
                           Tuple<String,String>... tuples)

    - #### setServiceEndpointQueryFilter

          public void setServiceEndpointQueryFilter(ServiceEndpointQueryFilter serviceEndpointQueryFilter)

    - #### setEndpointDiscoveryFilter

          public void setEndpointDiscoveryFilter(EndpointDiscoveryFilter endpointDiscoveryFilter)

    - #### discoverEndpoints

          public List<String> discoverEndpoints(EndpointDiscoveryFilter endpointDiscoveryFilter)
                                         throws org.gcube.common.clients.exceptions.DiscoveryException

      Throws:
        `org.gcube.common.clients.exceptions.DiscoveryException`

    - #### fire

          public List<EndpointReference> fire()
                                       throws org.gcube.common.clients.exceptions.DiscoveryException

      Specified by:
        `fire` in interface `org.gcube.common.clients.queries.Query<EndpointReference>`
      Throws:
        `org.gcube.common.clients.exceptions.DiscoveryException`

Copyright © 2016. All Rights Reserved.